package com.community.huiju.service.impl;

import com.community.huiju.dao.TpMessageMapper;
import com.community.huiju.model.TpMessage;
import com.community.huiju.service.MessageServiceI;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author FXF
 * @date 2018-10-22
 */
@Service("messageService")
public class MessageServiceImpl implements MessageServiceI {
	
	@Autowired
	private TpMessageMapper tpMessageMapper;
	
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	@Override
	public Map<String, Object> getMessageTotal(Integer communityId, Integer userId) {
		return tpMessageMapper.getMessageTotal(userId,communityId);
	}
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	@Override
	public Map<String,Object> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType, Integer userId) {
		//使用分页插件
		Page page = PageHelper.startPage(pageNum, pageSize);
		// 获取数据
		List<TpMessage> messageList = tpMessageMapper.getMessages(userId,communityId, modelType);
		messageList.stream().forEach(tpMessage -> {
			if (!StringUtils.isEmpty(tpMessage.getMessageDetailUrl())){
				tpMessage.setMessageDetailUrl(tpMessage.getMessageDetailUrl() + "&id=" + tpMessage.getTicketId());
			}
		});
		Map<String,Object> map = new HashMap<>();
		map.put("list",messageList);
		map.put("total",page.getTotal());
		return map;
	}

	/**
	 * 消息全部已读
	 */
	@Override
	public void updateMessageReadStatus(Integer communityId, Integer userId) {
		tpMessageMapper.updateReadStatus(communityId, userId);
	}
}
