package com.community.huiju.common.hk;

public class HKConstant {

    /**
     * APPKEY需要到部署的平台服务器上生成。
     * <p>
     * 调用Openpai的操作码，需要去平台上生成，详见《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》中[获取AppKey和Secret]章节说明
     * </p>
     * <p>
     * 《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》 该文档请找技术支持或者交付的同事提供
     * </p>
     */
    public static final String APPKEY = "b4434b13";

    /**
     * SECRET需要到部署的平台服务器上生成。
     * <p>
     * 调用Openpai的操作码，需要去平台上生成，详见《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》中[获取AppKey和Secret]章节说明
     * </p>
     * <p>
     * 《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》 该文档请找技术支持或者交付的同事提供
     * </p>
     */
    public static final String SECRET = "64a1f32d53784ce2a34bd81822db1b91";


    /**
     * http请求地址
     * <p>openapi的地址,默认情况下openapi的IP端口与基础应用的IP端口是一致的</p>
     * <p>请将地址配置正确.</p>
     * <p>默认情况下是127.0.0.1:80 ，如果地址不通请根据实际情况修改IP端口</p>
     */
   // public static final String OPENAPI_IP_PORT_HTTP = "http://192.168.0.122";
    //  public static final String OPENAPI_IP_PORT_HTTPS = "http://192.168.0.122";
    //public static final String OPENAPI_IP_PORT_HTTP = "http://huiju.ngrok.xiaomiqiu.cn";
    public static final String OPENAPI_IP_PORT_HTTP = "http://huifang.vipgz1.idcfengye.com";

    /**
     * <p>操作用户UUID，即用户UUID，首次使用操作用户UUID可以通过接口 [获取默认用户UUID]来获取</p>
     * <p>也可以通过接口[分页获取用户]来获取</p>
     */

    /**
     * 获取默认用户UUID的接口地址，此地址可以从《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》中具体的接口说明上获取
     */
    public static final String ITF_ADDRESS_GET_DEFAULT_USER_UUID = "/openapi/service/base/user/getDefaultUserUuid";

    /**
     * 分页获取监控点信息的接口地址，此地址可以从《海康威视iVMS-8700平台SDKV2.*.* HTTP-OpenAPI使用说明书.chm》中具体的接口说明上获取
     */
    public static final String ITF_ADDRESS_GET_CAMERAS = "/openapi/service/vss/res/getCameras";

    /**
     * 查询监控点地址
     */
    public static final String OP_USER_UUID = "5b2eb534696b11e89c2e438f92627767";

    /**--主要是推送图片到海康
     * 通过此接口将人员名单添加到指定的人员分组当中，此接口适合一次添加一个人员，如果需要批量添加可以使用平台上自带的图片压缩包的方式批量添加。
     */
    public  static  final  String OP_IMG="/openapi/service/fas/personInfo/addPersonInfoIntoGroup";

    public static final String ITF_MONITORY_POINT = "/openapi/service/vss/res/getCamerasEx";
    
    /**
     * 根据区域UUID集获取门禁点
     */
    public static final String DOORS_BY_REGION_UUIDS = "/openapi/service/acs/res/getDoorsByRegionUuids";
    
    /**
     * 根据人员ID集添加权限
     */
    public static final String ADD_AUTHORITIES_BY_PERSONIDS = "/openapi/service/acs/auth/addAuthoritiesByPersonIds";
    
    /**
     * 根据设备UUID集异动下载门禁权限
     */
    public static final String DOWNLOAD_AUTHORITY_BY_DEVICEUUIDS = "/openapi/service/acs/auth/downloadAuthorityByDeviceUuids";
    
    /**
     * 指定人员人脸/指纹权限下载
     */
    public static final String DOWNLOAD_FACE_AND_FINGERINFOS = "/openapi/service/acs/auth/downloadFaceAndFingerInfos";

    /**--推送图片时需要获取人员分组下的，人员分组ID
     * --personGroupId--
     */
    public static final  String OP_PERSON_ID="/openapi/service/fas/personGroup/getPersonGroup";

    /**
     * 分页获取部门
     */
    public static final String ITF_DEPT= "/openapi/service/base/dept/getDeptInfos";

    /**
     * 根据部门名称分页获取部门
     */
    public static final String ITF_LIKE_DEPT_NAME = "/openapi/service/base/dept/getDeptInfosByName";

    /**
     * 添加 人员
     */
    public static final String ITF_ADD_USER = "/openapi/service/base/person/addPersonInfo";


    /**
     * 修改人员
     */
    public static final String ITF_UPDATE_USER ="/openapi/service/base/person/modifyPersonInfo";


    /**
     * 批量开卡
     */
    public static final String ITF_OPEN_CARD = "/openapi/service/base/person/batchOpenCards";

    /**
     * 根据人员ID集获取人员
     */
    public static final String ITF_GET_USER_ID = "/openapi/service/base/person/getPersonInfosByIds";
    
    /**
     * 未预约登记（临时登记）
     */
    public static final String TEMPORARY_REGISTER = "/openapi/service/rvs/register/temporaryRegister";

    

}
