package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.TaUserMapper;
import com.community.huiju.service.ITaUserService;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * app 端用户业务类
 * @author weiximei
 */
@Service("iTaUserService")
public class TaUserServiceImpl implements ITaUserService {

    @Autowired
    private TaUserMapper taUserMapper;

    @Override
    public ResponseBean getByUserTypeCount() {
        ResponseBean responseBean = new ResponseBean();

        Map<String,Object> ownerMap = Maps.newHashMap();
        Integer ownerCount = taUserMapper.getByUserTypeCount(1);
        ownerMap.put("message","业主总数");
        ownerMap.put("count",ownerCount);
        Map<String,Object> tenantMap = Maps.newHashMap();
        Integer tenantCount = taUserMapper.getByUserTypeCount(2);
        tenantMap.put("message","租客总数");
        tenantMap.put("count",tenantCount);
        Map<String,Object> relationMap = Maps.newHashMap();
        Integer relationCount = taUserMapper.getByUserTypeCount(3);
        relationMap.put("message","家属总数");
        relationMap.put("count",relationCount);

        List<Map<String,Object>> mapList = Lists.newArrayList();
        mapList.add(ownerMap);
        mapList.add(tenantMap);
        mapList.add(relationMap);

        responseBean.addSuccess(mapList);
        return responseBean;
    }

}
