package com.community.huiju.security;

import com.community.commom.constant.Constant;
import com.community.huiju.exception.WisdomSecurityException;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.web.authentication.preauth.PreAuthenticatedAuthenticationToken;

import java.util.Collection;
import java.util.List;

/**
 * 授权过程
 *
 * @author weiximei
 */
public class RestPreAuthenticateProvider implements AuthenticationProvider {

    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {


        TokenAuthrentication tokenAuthrentication = (TokenAuthrentication) authentication.getPrincipal();
        if (null != tokenAuthrentication) {
            Collection<GrantedAuthority> grantedAuthorityList = tokenAuthrentication.getAuthorities();
            if (null != grantedAuthorityList && grantedAuthorityList.size() > 0) {
                boolean isNone= grantedAuthorityList.stream().anyMatch(e->e.getAuthority().equals(Constant.ROLE_NONE));
                if (isNone) {
                    tokenAuthrentication.setAuthenticated(false);
                    return tokenAuthrentication;
                }
                tokenAuthrentication.setAuthenticated(true);
                return tokenAuthrentication;
            }

        }


        throw new WisdomSecurityException("没有授权角色!");
    }

    /**
     * 是否授权过程
     *
     * @param authentication
     * @return
     */
    @Override
    public boolean supports(Class<?> authentication) {
        return PreAuthenticatedAuthenticationToken.class.isAssignableFrom(authentication)
                || TokenAuthrentication.class.isAssignableFrom(authentication);
    }
}
